Subject: Re: [PATCH 2/2] Support sizes >=2G in various config options accepting 'g' sizes.

From: Nix <[email-masked]>
Date: Tue, 06 Sep 2011 11:25:32 +0100

On 6 Sep 2011, Johannes Sixt verbalised:

> Why so? strtol() can report overflow:

... it can?!

>     ...
>     If the correct value is outside the range of representable values,
> {LONG_MIN}, {LONG_MAX}, {LLONG_MIN}, or {LLONG_MAX} shall be returned
> (according to the sign of the value), and errno set to [ERANGE].

I've been using it for longer than I care to imagine and I've never once
noticed that.

OK, I'll add range checking support then! following which we can detect
config value overflow on the most pathetic platform imaginable, except
that such a platform would probably not bother to set ERANGE properly ;}

Fixed patch following later today ripping out the STRTOMAX renaming and
adding proper range checking.

-- 
NULL && (void)